Bug 421061 - Summary SELinux is preventing sh (cupsd_t) "getattr" to /usr/bin/hpijs (hplip_exec_t). Detailed Description SELinux denied access requested by sh. It is not expected that this access is required by sh and this access may signal a...
Summary SELinux is preventing sh (cupsd_t) "getattr" to /usr/bin/hpijs ...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
7
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-12 02:55 EST by Michael Cook
Modified: 2008-01-30 14:07 EST (History)
0 users

See Also:
Fixed In Version: Current
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-30 14:07:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Cook 2007-12-12 02:55:26 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.1.10) Gecko/20071128 Fedora/2.0.0.10-2.fc7 Firefox/2.0.0.10

Description of problem:
Summary
    SELinux is preventing sh (cupsd_t) "getattr" to /usr/bin/hpijs
    (hplip_exec_t).

Detailed Description
    SELinux denied access requested by sh. It is not expected that this access
    is required by sh and this access may signal an intrusion attempt. It is
    also possible that the specific version or configuration of the application
    is causing it to require additional access.

Allowing Access
    Sometimes labeling problems can cause SELinux denials.  You could try to
    restore the default system file context for /usr/bin/hpijs, restorecon -v
    /usr/bin/hpijs If this does not work, there is currently no automatic way to
    allow this access. Instead,  you can generate a local policy module to allow
    this access - see http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385
    Or you can disable SELinux protection altogether. Disabling SELinux
    protection is not recommended. Please file a
    http://bugzilla.redhat.com/bugzilla/enter_bug.cgi against this package.

Additional Information        

Source Context                system_u:system_r:cupsd_t:SystemLow-SystemHigh
Target Context                system_u:object_r:hplip_exec_t
Target Objects                /usr/bin/hpijs [ file ]
Affected RPM Packages         hpijs-1.7.4a-6.fc7 [target]
Policy RPM                    selinux-policy-2.6.4-61.fc7
Selinux Enabled               True
Policy Type                   targeted
MLS Enabled                   True
Enforcing Mode                Enforcing
Plugin Name                   plugins.catchall_file
Host Name                     localhost.localdomain
Platform                      Linux localhost.localdomain 2.6.23.8-34.fc7 #1 SMP
                              Thu Nov 22 23:05:33 EST 2007 i686 athlon
Alert Count                   11
First Seen                    Tue 11 Dec 2007 08:59:04 AM MST
Last Seen                     Wed 12 Dec 2007 12:36:05 AM MST
Local ID                      7e30cc97-e813-4430-bd52-b15ba6bcd615
Line Numbers                  

Raw Audit Messages            

avc: denied { getattr } for comm="sh" dev=dm-0 egid=7 euid=4 exe="/bin/bash"
exit=-13 fsgid=7 fsuid=4 gid=7 items=0 path="/usr/bin/hpijs" pid=11161
scontext=system_u:system_r:cupsd_t:s0-s0:c0.c1023 sgid=7
subj=system_u:system_r:cupsd_t:s0-s0:c0.c1023 suid=4 tclass=file
tcontext=system_u:object_r:hplip_exec_t:s0 tty=(none) uid=4



Version-Release number of selected component (if applicable):


How reproducible:
Always


Steps to Reproduce:
1. every time I try to print; whether from a web browser or in an word processor; such as open 0ffice write, this occurrs, it used to be occasional, but now I can't print at all with this being the culprit every time
2. the fix listed in FAQ; the first command did not recognize the file /tmp/avcs
3.

Actual Results:
print fails with SELinux denial message

Expected Results:
The document should have printed without a hitch.  The printer involved is a local HP Deskjet 895Cxi which has had not previous problems. 

Additional info:
See detailed notes in description.  I am currenlty not aware of a fix to get the printer working.
Comment 1 Daniel Walsh 2007-12-12 10:48:30 EST
Fixed in selinux-policy-2.6.4-62.fc7
Comment 2 Daniel Walsh 2008-01-30 14:07:08 EST
Bulk closing a old selinux policy bugs that were in the modified state.  If the
bug is still not fixed.  Please reopen.
Comment 3 Michael Cook 2008-08-02 16:16:37 EDT
The original summary for this bug was longer than 255 characters, and so it was truncated when Bugzilla was upgraded. The original summary was:

Summary      SELinux is preventing sh (cupsd_t) "getattr" to /usr/bin/hpijs      (hplip_exec_t).    Detailed Description      SELinux denied access requested by sh. It is not expected that this access      is required by sh and this access may signal an intrusion attempt. It is      also possible that the specific version or configuration of the application      is causing it to require additional access.    Allowing Access      Sometimes labeling problems can cause SELinux denials.  You could try to      restore the default system file context for /usr/bin/hpijs, restorecon -v      /usr/bin/hpijs If this does not work, there is currently no automatic way to      allow this access. Instead,  you can generate a local policy module to allow      this access - see http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385      Or you can disable SELinux protection altogether. Disabling SELinux      protection is not recommended. Please file a      http://bugzilla.redhat.com/bugzilla/enter_bug.cgi against this package.    Additional Information            Source Context                system_u:system_r:cupsd_t:SystemLow-SystemHigh  Target Context                system_u:object_r:hplip_exec_t  Target Objects                /usr/bin/hpijs [ file ]  Affected RPM Packages         hpijs-1.7.4a-6.fc7 [target]  Policy RPM                    selinux-policy-2.6.4-61.fc7  Selinux Enabled               True  Policy Type                   targeted  MLS Enabled                   True  Enforcing Mode                Enforcing  Plugin Name                   plugins.catchall_file  Host Name                     localhost.localdomain  Platform                      Linux localhost.localdomain 2.6.23.8-34.fc7 #1 SMP                                Thu Nov 22 23:05:33 EST 2007 i686 athlon  Alert Count                   11  First Seen                    Tue 11 Dec 2007 08:59:04 AM MST  Last Seen                     Wed 12 Dec 2007 12:36:05 AM MST  Local ID                      7e30cc97-e813-4430-bd52-b15ba6bcd615  Line Numbers                      Raw Audit Messages                avc: denied { getattr } for comm="sh" dev=dm-0 egid=7 euid=4 exe="/bin/bash"  exit=-13 fsgid=7 fsuid=4 gid=7 items=0 path="/usr/bin/hpijs" pid=11161  scontext=system_u:system_r:cupsd_t:s0-s0:c0.c1023 sgid=7  subj=system_u:system_r:cupsd_t:s0-s0:c0.c1023 suid=4 tclass=file  tcontext=system_u:object_r:hplip_exec_t:s0 tty=(none) uid=4, Summary      SELinux is preventing sh (cupsd_t) "getattr" to /usr/bin/hpijs      (hplip_exec_t).    Detailed Description      SELinux denied access requested by sh. It is not expected that this access      is required by sh and this access may signal an intrusion attempt. It is      also possible that the specific version or configuration of the application      is causing it to require additional access.    Allowing Access      Sometimes labeling problems can cause SELinux denials.  You could try to      restore the default system file context for /usr/bin/hpijs, restorecon -v      /usr/bin/hpijs If this does not work, there is currently no automatic way to      allow this access. Instead,  you can generate a local policy module to allow      this access - see http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385      Or you can disable SELinux protection altogether. Disabling SELinux      protection is not recommended. Please file a      http://bugzilla.redhat.com/bugzilla/enter_bug.cgi against this package.    Additional Information            Source Context                system_u:system_r:cupsd_t:SystemLow-SystemHigh  Target Context                system_u:object_r:hplip_exec_t  Target Objects                /usr/bin/hpijs [ file ]  Affected RPM Packages         hpijs-1.7.4a-6.fc7 [target]  Policy RPM                    selinux-policy-2.6.4-61.fc7  Selinux Enabled               True  Policy Type                   targeted  MLS Enabled                   True  Enforcing Mode                Enforcing  Plugin Name                   plugins.catchall_file  Host Name                     localhost.localdomain  Platform                      Linux localhost.localdomain 2.6.23.8-34.fc7 #1 SMP                                Thu Nov 22 23:05:33 EST 2007 i686 athlon  Alert Count                   11  First Seen                    Tue 11 Dec 2007 08:59:04 AM MST  Last Seen                     Wed 12 Dec 2007 12:36:05 AM MST  Local ID                      7e30cc97-e813-4430-bd52-b15ba6bcd615  Line Numbers                      Raw Audit Messages                avc: denied { getattr } for comm="sh" dev=dm-0 egid=7 euid=4 exe="/bin/bash"  exit=-13 fsgid=7 fsuid=4 gid=7 items=0 path="/usr/bin/hpijs" pid=11161  scontext=system_u:system_r:cupsd_t:s0-s0:c0.c1023 sgid=7  subj=system_u:system_r:cupsd_t:s0-s0:c0.c1023 suid=4 tclass=file  tcontext=system_u:object_r:hplip_exec_t:s0 tty=(none) uid=4

Note You need to log in before you can comment on or make changes to this bug.